libzypp: zyppng::EventDispatcherPrivate Class Reference

libzypp 17.38.14

zyppng::EventDispatcherPrivate Class Reference

`#include <zypp-core/ng/base/private/eventdispatcher_glib_p.h>`

Inheritance diagram for zyppng::EventDispatcherPrivate:

## Public Member Functions
| EventDispatcherPrivate (GMainContext *ctx, EventDispatcher &p)
| ~EventDispatcherPrivate () override
bool | runIdleTasks ()
void | enableIdleSource ()
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Static Public Member Functions
static std::shared_ptr< EventDispatcher > | create (GMainContext *ctx=0)
static void | waitPidCallback (GPid pid, gint status, gpointer user_data)
static bool | timeoutCallback (gpointer user_data)
static void | timeoutDestroyCallback (gpointer user_data)

## Public Attributes
std::thread::id | _myThreadId
GMainContext * | _ctx = nullptr
GSource * | _idleSource = nullptr
std::vector< GLibTimerSource * > | _runningTimers
std::vector< GAbstractEventSource * > | _eventSources
std::vector< std::shared_ptr< void > > | _unrefLater
std::queue< EventDispatcher::IdleFunction > | _idleFuncs
std::unordered_map< int, GlibWaitPIDData > | _waitPIDs
UnixSignalSourceWeakRef | _signalSource
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 79 of file eventdispatcher_glib_p.h.

## Constructor & Destructor Documentation

## ◆ EventDispatcherPrivate()

zyppng::EventDispatcherPrivate::EventDispatcherPrivate | ( | GMainContext * | ctx,
|  | EventDispatcher & | p )

Definition at line 275 of file eventdispatcher_glib.cc.

## ◆ ~EventDispatcherPrivate()

zyppng::EventDispatcherPrivate::~EventDispatcherPrivate | ( |  | ) |
| override

Definition at line 291 of file eventdispatcher_glib.cc.

## Member Function Documentation

## ◆ runIdleTasks()

bool zyppng::EventDispatcherPrivate::runIdleTasks | ( |  | ) |

Definition at line 311 of file eventdispatcher_glib.cc.

## ◆ enableIdleSource()

void zyppng::EventDispatcherPrivate::enableIdleSource | ( |  | ) |

Definition at line 332 of file eventdispatcher_glib.cc.

## ◆ create()

std::shared_ptr< EventDispatcher > zyppng::EventDispatcherPrivate::create | ( | GMainContext * | ctx = 0 | ) |
| static

Definition at line 341 of file eventdispatcher_glib.cc.

## ◆ waitPidCallback()

void zyppng::EventDispatcherPrivate::waitPidCallback | ( | GPid | pid,
|  | gint | status,
|  | gpointer | user_data )
| static

Definition at line 346 of file eventdispatcher_glib.cc.

## ◆ timeoutCallback()

bool zyppng::EventDispatcherPrivate::timeoutCallback | ( | gpointer | user_data | ) |
| static

Definition at line 366 of file eventdispatcher_glib.cc.

## ◆ timeoutDestroyCallback()

void zyppng::EventDispatcherPrivate::timeoutDestroyCallback | ( | gpointer | user_data | ) |
| static

Definition at line 375 of file eventdispatcher_glib.cc.

## Member Data Documentation

## ◆ _myThreadId

std::thread::id zyppng::EventDispatcherPrivate::_myThreadId

Definition at line 95 of file eventdispatcher_glib_p.h.

## ◆ _ctx

GMainContext* zyppng::EventDispatcherPrivate::_ctx = nullptr

Definition at line 96 of file eventdispatcher_glib_p.h.

## ◆ _idleSource

GSource* zyppng::EventDispatcherPrivate::_idleSource = nullptr

Definition at line 98 of file eventdispatcher_glib_p.h.

## ◆ _runningTimers

std::vector<GLibTimerSource *> zyppng::EventDispatcherPrivate::_runningTimers

Definition at line 100 of file eventdispatcher_glib_p.h.

## ◆ _eventSources

std::vector<GAbstractEventSource *> zyppng::EventDispatcherPrivate::_eventSources

Definition at line 101 of file eventdispatcher_glib_p.h.

## ◆ _unrefLater

std::vector< std::shared_ptr<void> > zyppng::EventDispatcherPrivate::_unrefLater

Definition at line 102 of file eventdispatcher_glib_p.h.

## ◆ _idleFuncs

std::queue< EventDispatcher::IdleFunction > zyppng::EventDispatcherPrivate::_idleFuncs

Definition at line 103 of file eventdispatcher_glib_p.h.

## ◆ _waitPIDs

std::unordered_map<int, GlibWaitPIDData> zyppng::EventDispatcherPrivate::_waitPIDs

Definition at line 104 of file eventdispatcher_glib_p.h.

## ◆ _signalSource

UnixSignalSourceWeakRef zyppng::EventDispatcherPrivate::_signalSource

Definition at line 105 of file eventdispatcher_glib_p.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/base/private/eventdispatcher_glib_p.h
- zypp-core/ng/base/eventdispatcher_glib.cc